Bug 506431 - Review Request: eclipse-texlipse - Eclipse-based Latex plugin
Review Request: eclipse-texlipse - Eclipse-based Latex plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: EducationTracker
  Show dependency treegraph
 
Reported: 2009-06-17 05:42 EDT by Chitlesh GOORAH
Modified: 2010-08-10 22:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.3.0-2.20090829cvs.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 19:42:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2009-06-17 05:42:50 EDT
Spec URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-texlipse.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-texlipse-1.3.0-1.20090616cvs.fc11.src.rpm
Description:
Texlipse is a plugin that adds Latex editing support for the
popular Eclipse Java IDE.

Key features include:
    syntax highlight, command completion, bibliography completion,
    outline navigation and automatic building.
Comment 1 Mads Kiilerich 2009-07-21 19:01:14 EDT
I reviewed the package briefly. It seems to work just fine.

I find the summary misleading. I would call it something like "Eclipse plugin for editing Latex" or "Latex mode for Eclipse".

eclipse-texlipse-download.sh creates a .tar file but confuses by calling it .tar.gz.

But why can't the texlipse_1.3.0 src.zip from http://texlipse.sourceforge.net/release.html be used?

Besides that the spec and the package looks fine.
Comment 2 Alexander Kurtakov 2009-07-22 03:33:12 EDT
(In reply to comment #1)
> eclipse-texlipse-download.sh creates a .tar file but confuses by calling it
> .tar.gz.
> 
> But why can't the texlipse_1.3.0 src.zip from
> http://texlipse.sourceforge.net/release.html be used?
> 
The source tarball from texlipse site is missing the feature directory which is needed in order to be able to build the plugin, i.e. these are sources without build scripts or the feature which we are using to generate the build script.
Comment 3 Chitlesh GOORAH 2009-08-02 17:40:44 EDT
Anyone willing to do the review for me ?
Comment 4 Shakthi Kannan 2009-08-26 12:29:34 EDT
I have built this package from the given .spec file, installed, and tested the same on Fedora 11, and it works fine with Eclipse.

Only catch is that, if we create a .tex file within a project workspace, one has to choose to open the .tex file with 'LaTeX editor', the first time, for syntax highlighting to take effect. By default, it uses the 'Text editor', and syntax highlighting doesn't show up.
Comment 5 Mat Booth 2009-08-26 13:14:19 EDT
(In reply to comment #4)
> I have built this package from the given .spec file, installed, and tested the
> same on Fedora 11, and it works fine with Eclipse.
> 
> Only catch is that, if we create a .tex file within a project workspace, one
> has to choose to open the .tex file with 'LaTeX editor', the first time, for
> syntax highlighting to take effect. By default, it uses the 'Text editor', and
> syntax highlighting doesn't show up.  

That's the sort of thing that should be filed upstream as an RFE

In the meantime, you can make the association manually with Preferences->General->Editors->File Assocations
Comment 6 Chitlesh GOORAH 2009-08-27 13:03:14 EDT
Can anyone review this for me please ?
Comment 7 Mat Booth 2009-08-27 13:47:54 EDT
Sure, I've packaged a couple eclipse plugins, so I will take the review if you like. :-)
Comment 8 Mat Booth 2009-08-27 16:33:26 EDT
There's really not a lot wrong with this package, which is good. After going through all the applicable guidelines, here are my only comments:

* You make a comment about the zero-length file, so I'm fine with that.
* Could you make a comment about what your patches do and whether they need to go upstream or not?
* The plugin includes a copy of the licence in "about.html", so you must at least include that as a %doc.
* As is the case with source archives generated from source control, the sum doesn't match what your script generates, but diff says they are identical so that's fine.
* And for bonus points, in the package description, "syntax highlighting" should start with an upper-case S, but I'm really nit-picking now. :-)
* The package appears to work - but it complained about my preferences when I tried to preview one of the samples. I assume my complete ignorance of Latex is to blame.

I also agree with Comment #1 about the tar file:

* Please either gzip your source archive in the script (tar czvf, perhaps?) or omit the .gz file extension; it would be nice if it matched the file type. ;-)
Comment 10 Mat Booth 2009-08-29 10:26:55 EDT
There's just one more thing: I don't know how I didn't notice this before, but there's a typo in the description, "utline navigation" is missing the leading "o".

I approve this package, just fix that type before checking into CVS.
Comment 11 Chitlesh GOORAH 2009-08-29 10:51:52 EDT
Thanks I will fix the typo:

New Package CVS Request
=======================
Package Name: eclipse-texlipse
Short Description: Eclipse-based Latex plugin
Owners: chitlesh
Branches: F-10 F-11
InitialCC:
Comment 12 Jason Tibbitts 2009-08-29 16:22:24 EDT
CVS done.
Comment 13 Fedora Update System 2009-08-29 18:43:02 EDT
eclipse-texlipse-1.3.0-2.20090829cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-texlipse-1.3.0-2.20090829cvs.fc11
Comment 14 Fedora Update System 2009-08-31 19:41:59 EDT
eclipse-texlipse-1.3.0-2.20090829cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Chitlesh GOORAH 2010-08-10 17:42:52 EDT
Package Change Request
======================
Package Name: eclipse-texlipse
Short Description: Eclipse-based Latex plugin
New Branches: EL-5 EL-6
Owners:chitlesh
Comment 16 Jason Tibbitts 2010-08-10 22:04:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.